#
# This file managed via Ansible; changes will be overwritten
# WARNING: THIS FILE CONTAINS SENSITIVE INFORMATION
# DO NOT ALLOW WORLD READ ACCESS TO THIS FILE
#
import Config

# Endpoint configuration
config :pleroma, Pleroma.Web.Endpoint,
	url: [host: "{{ pleroma_hostname }}", scheme: "https", port: 443],
	http: [ip: {127, 0, 0, 1}, port: 4000],
	secret_key_base: "{{ pleroma_secret_key_base }}",
	signing_salt: "{{ pleroma_secret_signing_salt }}"
# DB configuration
config :pleroma, Pleroma.Repo,
	adapter: Ecto.Adapters.Postgres,
	database: "{{ pleroma_db_name }}",
	hostname: "{{ pleroma_db_host }}",
	username: "{{ pleroma_db_user }}",
	password: "{{ pleroma_db_pass }}",
	pool_size: {{ pleroma_db_pool_size }}
config :pleroma, :database, rum_enabled: false
# Use in-DB configs
config :pleroma, configurable_from_database: true

#
# NOTE: Everything below this line is only used before the initial DB migration
# If you would like to change these settings, use the admin FE
#
# https://docs.pleroma.social/backend/configuration/howto_database_config/
# 

config :pleroma, :instance,
	name: "{{ pleroma_instance_name }}",
	desc: "{{ pleroma_instance_desc }}",
	limit: "{{ pleroma_char_limit }}",
	registrations_open: {{ pleroma_open_registration }},
	static_dir: "/var/lib/pleroma/static"
config :pleroma, Pleroma.Upload,
	uploader: Pleroma.Uploaders.Local,
	filters: [Pleroma.Upload.Filter.Dedupe]
config :pleroma, Pleroma.Uploaders.Local,
	uploads: "/var/lib/pleroma/uploads"
config :pleroma, :media_proxy,
	enabled: false,
	redirect_on_failure: true

# Mail
config :pleroma, Pleroma.Emails.Mailer,
	enabled: false

# Theming
config :pleroma, :frontend_configurations,
	pleroma_fe: %{
		background: "/images/background.jpg",
		theme: "simply-dark"
	}
